﻿var equipmentGetStatus = function (controller, name, type, type_text, ip, port, id) {
    $("#TestSpinner").show();
    var msg = '<h3>' + name + " (" + type_text + "): " + ip + ":" + port + '</h3>';
    $("#TestConnectionInfo").html(msg);

    $('#TestModal').modal("show");

    $.get(controller, { type: type, ip: ip, port: port, equipment_id: id }, function (data) {
        if (data) {
            var status = JSON.parse(data);
            if (status.IsConnected) {                
                if (status.OrderName) {
                    $("#TestResults").removeClass('text-success').addClass('text-danger');
                    message = '<h3>' + 'Линия занята: ' + status.OrderName + '</h3>';
                    message += '<h4>' + 'Статус: ' + status.OrderStatusText + '</h4>';
                } else {
                    $("#TestResults").removeClass('text-danger').addClass('text-success');
                    message = '<h3>' + 'Линия свободна' + '</h3>';
                }
            } else {
                $("#TestResults").removeClass('text-success').addClass('text-danger');
                message = '<h3>' + 'Подключение невозможно' + '</h3>';                
            }
        }
        $("#TestResults").html(message);
        $("#TestSpinner").hide();

    });
}


$(document).ready(function () {



    //$('#erpTestModal').on('shown.bs.modal', function () {
    //    $("#erpTestSpinner").show();

    //    var url = $("input[name='url']").val();
    //    var login = $("input[name='login']").val();
    //    var password = $("input[name='password']").val();
    //    var erp_type = $("input[name='erp_type']").val();
    //    var erp_controller = $("input[name='erp_controller']").val();

    //    $("#erpTestUrl").html('<h3>' + url + '</h3>');

    //    $.post(erp_controller, { erp_type: erp_type, url: url, login: login, password: password }, function (data) {
    //        var xmlDoc = $.parseXML(data.resultMessage);
    //        var xml = $(xmlDoc);
    //        var result = xml.find('return-value').text();
    //        var message;
    //        if (result == 'true') {
    //            message = '<h3>' + 'Подключение успешно' + '</h3>';
    //            $("#erpTestResults").removeClass('text-danger').addClass('text-success');

    //        } else {
    //            message = '<h3>' + 'Подключение невозможно' + '</h3>';
    //            $("#erpTestResults").removeClass('text-success').addClass('text-danger');
    //        }
    //        $("#erpTestResults").html(message);
    //        $("#erpTestSpinner").hide();

    //    });
    //});

    $('#TestModal').on('hidden.bs.modal', function () {
        $("#TestResults").html("");
        //$("#TestUrl").html("");
    });

});