﻿$(function () {
    //Set the hubs URL for the connection
    $.connection.hub.url = "http://localhost:8111/signalr";

    // Declare a proxy to reference the hub.
    var chat = $.connection.dmsHub;

    chat.client.stockCommand = function (stockCommand) {
        var element = null;

        var elements = document.getElementsByName(stockCommand);

        if (elements.length > 0) element = elements[0];
        else element = document.getElementById(stockCommand);

        if (element != null)
        {
            element.focus();
            setTimeout(function () { element.click(); }, 1000);
        }
        else console.log("Scanner command error! Element with \"" + stockCommand + "\" name or id not found");
    }

    // Start the connection.
    $.connection.hub.start({ jsonp: true }).done(function () {
        console.log("Stock command Connected");
    });
});