﻿////////////////////////////////////////////////////////////////////////
// Модуль WrapperConfirm
////////////////////////////////////////////////////////////////////////
var WrapperConfirm = (function () {
    var callback = null;

    var show = function (message, cb) {
        callback = cb;

        $('#confirmModal #info').html(message);
        $('#confirmModal').modal('show');
    };

    var onConfirm = function () {
        $('#confirmModal #btnConfirm').click(function () {
            if (callback != null) {
                callback();
            }
            $('#confirmModal').modal('hide');
        });
    };

    var onCancel = function () {
        $('#confirmModal #btnCancel').click(function () {
            $('#confirmModal').modal('hide');
        });
    }

    var init = function () {
        onConfirm();
        onCancel();
    };

    return {
        init: init,
        show: show
    };

})();