﻿////////////////////////////////////////////////////////////////////////
// Модуль CommonConfirm
////////////////////////////////////////////////////////////////////////
var CommonConfirm = (function () {
    var callback = null;

    var show = function (message, cb) {
        callback = cb;
        $('#confirmModal #info').html(message);
        $('#confirmModal').modal('show');
    };

    var onConfirm = function () {
        $('#confirmModal #btnConfirmExecute').click(function () {
            if (callback != null) {
                callback();
            }
            $('#confirmModal').modal('hide');
        });
    };

    var onCancel = function () {
        $('#confirmModal #btnCancelExecute').click(function () {
            $('#confirmModal').modal('hide');
        });
    }

    var init = function () {
        onConfirm();
        onCancel();
    };

    return {
        init: init,
        show: show
    };

})();

/////////////////////////////////////////////////////////////////////////////////////////////////
$(function () {
    CommonConfirm.init();
});