﻿
$(function () {
    //Set the hubs URL for the connection
    $.connection.hub.url = "http://localhost:8111/signalr";

    // Declare a proxy to reference the hub.
    var chat = $.connection.dmsHub;

    // Create a function that the hub can call to broadcast messages.
    chat.client.infoNotification = function (message) {
        console.log("infoNotification: message = " + message);

        toastr.success(message);
        
    };

    chat.client.warningNotification = function (message) {
        console.log("warningNotification: message = " + message);

        toastr.warning(message, "Предупреждение");

    };

    chat.client.errorNotification = function (message) {
        console.log("errorNotification: message = " + message);

        toastr.error(message, "Ошибка");

    };
    
    // Start the connection.
    $.connection.hub.start({ jsonp: true }).done(function () {
        console.log("Layout view Connected");
    });
});